Module java.desktop
Package java.awt.print

# Interface PrinterGraphics

public interface PrinterGraphics
The `PrinterGraphics` interface is implemented by `Graphics` objects that are passed to `Printable` objects to render a page. It allows an application to find the `PrinterJob` object that is controlling the printing.

## Method Summary

Modifier and Type
Method
Description
`PrinterJob`
`getPrinterJob()`
Returns the `PrinterJob` that is controlling the current rendering request.

## Method Details

### getPrinterJob

PrinterJob getPrinterJob()
Returns the `PrinterJob` that is controlling the current rendering request.

Returns:
  the `PrinterJob` controlling the current rendering request.
See Also:
  `Printable`